=== debian/control ===
Source: spout
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libsdl1.2-dev,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/games-team/spout.git
Vcs-Browser: https://salsa.debian.org/games-team/spout
X-Style: black

Package: spout
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Tiny abstract black and white 2D cave-shooter
 This is a small, abstract shooting game from Japanese developer Kuni. It is a
 'caveflier' in which the exhaust from the engine also serves as a tool to
 erode the cave walls.
 .
 Your goal is to fly upwards as long as you possibly can, without crashing
 against the cave walls and the window borders.
