=== debian/rules ===
#!/usr/bin/make -f

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
# https://bugs.debian.org/957838
export DEB_CFLAGS_MAINT_APPEND = -Wno-error=stringop-overflow

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
